> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Data by ID

> This endpoint allows you to **query exchange's data (name, year established, country, ...), exchange volume in BTC and top 100 tickers based on exchange's ID**

<Warning>
  ### Notice

  * Please note that the `trade_volume_24h_btc_normalized` data field will no longer be supported by our API starting on June 16, 2025. Please refer to [changelog](/changelog#may-2025) for more details.
</Warning>

<Note>
  ### Note

  * The exchange volume in the response is provided in BTC. To convert it to other currencies, please use [/exchange\_rates](/reference/exchange-rates) endpoint.
  * For derivatives (e.g. `bitmex`, `binance_futures`), to get derivatives exchanges data, please go to [/derivatives/exchanges/\{id}](/reference/derivatives-exchanges-id) endpoint.
  * Tickers are limited to 100 items, to get more tickers, please go to [/exchanges/\{id}/tickers](/reference/exchanges-id-tickers) endpoint.
  * When `dex_pair_format=symbol`, the DEX pair `base` and `target` are displayed in symbol format (e.g. `WETH`, `USDC`) instead of as contract addresses.
  * Cache / Update Frequency: every 60 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /exchanges/{id}
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchanges/{id}:
    get:
      tags:
        - Exchanges
      summary: Exchange Data by ID
      description: >-
        This endpoint allows you to **query exchange's data (name, year
        established, country, ...), exchange volume in BTC and top 100 tickers
        based on exchange's ID**
      operationId: exchanges-id
      parameters:
        - name: id
          in: path
          description: |-
            exchange ID 
             *refers to [`/exchanges/list`](/reference/exchanges-list).
          required: true
          schema:
            type: string
            example: binance
            default: binance
        - name: dex_pair_format
          in: query
          description: >-
            set to `symbol` to display DEX pair base and target as symbols,
            default: `contract_address`
          required: false
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: Get exchange volume in BTC and top 100 tickers only
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeData'
components:
  schemas:
    ExchangeData:
      type: object
      properties:
        name:
          type: string
          description: exchange name
        year_established:
          type: number
          nullable: true
          description: exchange established year
        country:
          type: string
          description: exchange incorporated country
          nullable: true
        description:
          type: string
          description: exchange description
        url:
          type: string
          description: exchange website url
        image:
          type: string
          description: exchange image url
        facebook_url:
          type: string
          description: exchange facebook url
          nullable: true
        reddit_url:
          type: string
          description: exchange reddit url
          nullable: true
        telegram_url:
          type: string
          description: exchange telegram url
          nullable: true
        slack_url:
          type: string
          description: exchange slack url
          nullable: true
        other_url_1:
          type: string
          nullable: true
        other_url_2:
          type: string
          nullable: true
        twitter_handle:
          type: string
          description: exchange twitter handle
          nullable: true
        has_trading_incentive:
          type: boolean
          nullable: true
          description: exchange trading incentive
        centralized:
          type: boolean
          description: exchange type (true for centralized, false for decentralized)
        public_notice:
          type: string
          description: public notice for exchange
          nullable: true
        alert_notice:
          type: string
          description: alert notice for exchange
          nullable: true
        trust_score:
          type: number
          description: exchange trust score
        trust_score_rank:
          type: number
          description: exchange trust score rank
        coins:
          type: number
          description: number of coins listed on the exchange
        pairs:
          type: number
          description: number of trading pairs on the exchange
        trade_volume_24h_btc:
          type: number
        tickers:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/CoinsTickers'
        status_updates:
          type: array
          description: exchange status updates
          items:
            type: object
            properties:
              description:
                type: string
              category:
                type: string
              created_at:
                type: string
              user:
                type: string
              user_title:
                type: string
              pin:
                type: boolean
              project:
                type: object
                properties:
                  type:
                    type: string
                  id:
                    type: string
                  name:
                    type: string
                  image:
                    type: object
                    properties:
                      thumb:
                        type: string
                      small:
                        type: string
                      large:
                        type: string
      example:
        name: Binance
        year_established: 2017
        country: Cayman Islands
        description: ''
        url: https://www.binance.com/
        image: >-
          https://assets.coingecko.com/markets/images/52/small/binance.jpg?1706864274
        facebook_url: https://www.facebook.com/binanceexchange
        reddit_url: https://www.reddit.com/r/binance/
        telegram_url: ''
        slack_url: ''
        other_url_1: https://medium.com/binanceexchange
        other_url_2: https://steemit.com/@binanceexchange
        twitter_handle: binance
        has_trading_incentive: false
        centralized: true
        public_notice: ''
        alert_notice: ''
        trust_score: 9
        trust_score_rank: 6
        trade_volume_24h_btc: 207319.133772613
        coins: 384
        pairs: 1281
        tickers:
          - base: BTC
            target: USDT
            market:
              name: Binance
              identifier: binance
              has_trading_incentive: false
              logo: >-
                https://assets.coingecko.com/markets/images/52/small/binance.jpg?1706864274
            last: 69476
            volume: 20242.03975
            cost_to_move_up_usd: 19320706.3958517
            cost_to_move_down_usd: 16360235.3694131
            converted_last:
              btc: 1.000205
              eth: 20.291404
              usd: 69498
            converted_volume:
              btc: 20249
              eth: 410802
              usd: 1406996874
            trust_score: null
            bid_ask_spread_percentage: 0.010014
            timestamp: '2024-04-08T04:02:01+00:00'
            last_traded_at: '2024-04-08T04:02:01+00:00'
            last_fetch_at: '2024-04-08T04:03:00+00:00'
            is_anomaly: false
            is_stale: false
            trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
            token_info_url: null
            coin_id: bitcoin
            target_coin_id: tether
    CoinsTickers:
      type: object
      properties:
        name:
          type: string
          description: coin name
        tickers:
          type: array
          description: list of tickers
          items:
            type: object
            properties:
              base:
                type: string
                description: coin ticker base currency
              target:
                type: string
                description: coin ticker target currency
              market:
                type: object
                description: coin ticker exchange
                properties:
                  name:
                    type: string
                    description: exchange name
                  identifier:
                    type: string
                    description: exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: exchange trading incentive
                  logo:
                    type: string
                    description: exchange image url
              last:
                type: number
                description: coin ticker last price
              volume:
                type: number
                description: coin ticker volume
              cost_to_move_up_usd:
                type: number
                description: coin ticker cost to move up in usd
              cost_to_move_down_usd:
                type: number
                description: coin ticker cost to move down in usd
              converted_last:
                type: object
                description: coin ticker converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: coin ticker converted volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: coin ticker trust score
              bid_ask_spread_percentage:
                type: number
                description: coin ticker bid ask spread percentage
              timestamp:
                type: string
                description: coin ticker timestamp
              last_traded_at:
                type: string
                description: coin ticker last traded timestamp
              last_fetch_at:
                type: string
                description: coin ticker last fetch timestamp
              is_anomaly:
                type: boolean
                description: coin ticker anomaly
              is_stale:
                type: boolean
                description: coin ticker stale
              trade_url:
                type: string
                description: coin ticker trade url
              token_info_url:
                type: string
                description: coin ticker token info url
                nullable: true
              coin_id:
                type: string
                description: coin ticker base currency coin ID
              target_coin_id:
                type: string
                description: coin ticker target currency coin ID
              coin_mcap_usd:
                type: number
                description: coin market cap in usd
      example:
        name: Bitcoin
        tickers:
          - base: BTC
            target: USDT
            market:
              name: Binance
              identifier: binance
              has_trading_incentive: false
              logo: >-
                https://assets.coingecko.com/markets/images/52/small/binance.jpg?1706864274
            last: 69476
            volume: 20242.03975
            cost_to_move_up_usd: 19320706.3958517
            cost_to_move_down_usd: 16360235.3694131
            converted_last:
              btc: 1.000205
              eth: 20.291404
              usd: 69498
            converted_volume:
              btc: 20249
              eth: 410802
              usd: 1406996874
            trust_score: null
            bid_ask_spread_percentage: 0.010014
            timestamp: '2024-04-08T04:02:01+00:00'
            last_traded_at: '2024-04-08T04:02:01+00:00'
            last_fetch_at: '2024-04-08T04:03:00+00:00'
            is_anomaly: false
            is_stale: false
            trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
            token_info_url: null
            coin_id: bitcoin
            target_coin_id: tether
            coin_mcap_usd: 230926944910.5146
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````